#
# spec file for package python-sexy (Version 0.1.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name sexy

Name:           python-%{mod_name}
Version:        0.1.9
Release:        1.5
License:        MIT
Summary:        Sexy-python is a set of Python bindings around libsexy
Url:            http://www.chipx86.com/w/index.php/Libsexy#sexy-python
Group:          Development/Libraries/Python
Source:         %{mod_name}-python-%{version}.tar.bz2
BuildRequires:  libsexy-devel >= 0.1.9
BuildRequires:  libxml2-devel
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
Pysexy are the python language bindings for libsexy,
the experimental-new-cool-gtk-widgets-which-are-crude-hacks library.

No doc available yet, but the function name should be pretty self-explanative.

Author:
--------
    Christian Hammond <chipx86@chipx86.com>

%prep
%setup -q -n %{mod_name}-python-%{version}


%build
##%{__python} setup.py build
%configure --disable-static
%{__make} %{?jobs:-j%jobs}

%install
##%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} %{?suse_version: --record-rpm=INSTALLED_FILES}
%makeinstall

%files
%defattr(-,root,root,-)
##%if 0%{!?suse_version:1}
# You may have to add additional files here!
%python_sitearch/gtk-2.0/%{mod_name}*
%{_datadir}/pygtk/2.0/defs/%{mod_name}*
##%endif
%changelog
* Tue Jan 11 2011 alexandre@exatati.com.br
- Initial package (0.1.9) for openSUSE.
